System Requirements for Symantec Endpoint Protection 12.1.6

book

Article ID: 161986

calendar_today

Updated On:

Products

Endpoint Protection

Issue/Introduction

This document describes the system requirements for Symantec Endpoint Protection 12.1.6.

Resolution

Notes
  • This page provides the system requirements for Symantec Endpoint Protection 12.1.6. If you need the system requirements for another version of Symantec Endpoint Protection, read the article Release Notes and System Requirements for all versions of Symantec Endpoint Protection and Symantec Network Access Control.

  • Unless otherwise specified, all updates, editions, and Service Packs (SPs) for a listed Windows version are supported. For example, Windows 7 includes Windows 7 Home Premium, Professional, and Ultimate editions, all Service Packs. As Microsoft releases new Service Packs for Windows, these requirements may need to be re-evaluated, as the newest Service Pack may require an updated version of the Symantec product. 

 Table of contents
Symantec Endpoint Protection Manager system requirements

Processor

Intel Pentium Dual-Core or equivalent minimum.

Note: Intel Itanium IA-64 processors are not supported.

 
Physical RAM

2 GB RAM available minimum; 4 GB RAM or more available recommended.
Note: Your Symantec Endpoint Protection Manager server may require additional RAM depending on the RAM requirements of other applications that are already installed.

 
Hard drive

16 GB available minimum (100 GB recommended) for the management server; 40 GB available minimum (200 GB recommended) for the management server and a locally installed database.

 

Display

1024 x 768 or larger

 
Operating system (Desktop)

  • Windows XP (32-bit, SP3; 64-bit, SP2; all editions except Starter and Home; all patches applied, including Internet Explorer)
  • Windows 7 (32-bit, 64-bit, RTM and SP1; all editions except Starter and Home)
  • Windows 8 (32-bit, 64-bit)
  • Windows 8.1 (32-bit, 64-bit)
  • Windows 8.1 update for April 2014 (32-bit, 64-bit)
  • Windows 8.1 update for August 2014 (32-bit, 64-bit)


Operating system (Server)

  • Windows Server 2003 (32-bit, 64-bit, R2, SP1 or later; all patches applied, including Internet Explorer)
  • Windows Small Business Server 2003 (32-bit; all patches applied, including Internet Explorer)
  • Windows Server 2008 (32-bit, 64-bit, RTM, R2, SP1, and SP2)
  • Windows Small Business Server 2008 (64-bit)
  • Windows Essential Business Server 2008 (64-bit)
  • Windows Small Business Server 2011 (64-bit)
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2012 R2 update for April 2014
  • Windows Server 2012 R2 update for August 2014

Note: This Symantec Endpoint Protection Manager version manages clients earlier than version 12.1, regardless of the client operating system. 


Web browser

  • Microsoft Internet Explorer 8, 9, 10, 11
  • Mozilla Firefox 5.x through 38.01
  • Google Chrome, through 42.0.2311.152

For a list of supported browsers for Browser Intrusion Prevention, see Supported Browser versions for Browser Intrusion Prevention.

 

Database
Symantec Endpoint Protection Manager includes an embedded database. You may also choose to use one of the following versions of Microsoft SQL Server:

  • SQL Server 2005, SP4
  • SQL Server 2008, through SP4
  • SQL Server 2008 R2, through SP3
  • SQL Server 2012, through SP1
  • SQL Server 2014

Note : SQL Server Express Edition is not supported.

Symantec Endpoint Protection client for Windows system requirements

Processor

  • 32-bit processor: 1 GHz Intel Pentium III or equivalent minimum (Intel Pentium 4 or equivalent recommended)
  • 64-bit processor: 2 GHz Pentium 4 with x86-64 support or equivalent minimum. Itanium processors are not supported.

  
Physical RAM

  •  512 MB of RAM (1 GB recommended), or higher if required by the operating system

 
Hard drive

  • 1.8 GB of available hard disk space for the installation; additional space is required for content and logs
    Note: Space requirements are based on NTFS file systems.

 
Display

800 x 600 or larger

 
Operating system (desktop)

  • Windows XP Home or Professional (32-bit, SP3; 64-bit, SP2)
  • Windows XP Embedded (SP3)
  • Windows Vista (32-bit, 64-bit)
  • Windows 7 (32-bit, 64-bit, RTM and SP1)
  • Windows 7 Embedded Standard
  • Windows 8 (32-bit, 64-bit)
  • Windows 8 Embedded (32-bit)
  • Windows 8.1 (32-bit, 64-bit, including Windows To Go)
  • Windows 8.1 update for April 2014 (32-bit, 64-bit)
  • Windows 8.1 update for August 2014 (32-bit, 64-bit)
  • Windows 8.1 Embedded (32-bit)


Operating system (server)

  • Windows Server 2003 (32-bit, 64-bit, R2, SP1 or later)
  • Windows Small Business Server 2003 (32-bit)
  • Windows Server 2008 (32-bit, 64-bit, RTM, R2, SP1, and SP2)
  • Windows Small Business Server 2008 (64-bit)
  • Windows Essential Business Server 2008 (64-bit)
  • Windows Small Business Server 2011 (64-bit)
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2012 R2 update for April 2014
  • Windows Server 2012 R2 update for August 2014

 

Browser Intrusion Prevention

Browser Intrusion Prevention support is based on the version of the Client Intrusion Detection System (CIDS) engine.

For more information, see the following knowledge base article: Supported Browser versions for Browser Intrusion Prevention for Symantec Endpoint Protection 12.1.x

 

Symantec Endpoint Protection client for Windows Embedded system requirements

Processor

  • 1 GHz Intel Pentium

Physical RAM

  • 256 MB

Hard Drive

  • 450 MB of available hard disk space

Embedded operating system

  • Windows Embedded Standard (WES) 2009 (32-bit, SP3)

  • Windows Embedded POSReady 2009 (32-bit, SP3)

  • Windows Embedded Point of Service (WEPOS) (32-bit, SP3)

  • Windows Embedded Standard 7 (32- and 64-bit)

  • Windows Embedded POSReady 7 (32- and 64-bit)

  • Windows Embedded Enterprise 7 (32- and 64-bit)

  • Windows Embedded 8 Standard (32- and 64-bit)

  • Windows Embedded 8.1 Industry Pro (32- and 64-bit)

  • Windows Embedded 8.1 Industry Enterprise (32- and 64-bit)

  • Windows Embedded 8.1 Pro (32- and 64-bit)

Required minimum components

  • Filter Manager (FltMgr.sys)

  • Performance Data Helper (pdh.dll)

  • Windows Installer Service

  • FBA: Driver Signing (applies only to XP-based Embedded)

  • WinLogon (applies only to XP-based Embedded)

Templates

  • Application Compatibility (Default)
  • Digital Signage
  • Industrial Automation
  • IE, Media Player, RDP
  • Set Top Box
  • Thin Client

The Minimum Configuration template is not supported.
The Enhanced Write Filter (EWF) and the Unified Write Filter (UWF) are not supported. The recommended write filter is the File Based Write Filter (FBWF) installed along with the Registry Filter.

For more information, see Symantec Endpoint Protection support for Windows Embedded.

 

Symantec Endpoint Protection client for Mac system requirements

Processor

  • 64-Bit Intel Core 2 Duo or later

  
Physical RAM

  • 2 GB of RAM

 
Hard drive

  • 500 MB of available hard disk space for the installation

 
Display

800 x 600

 
Operating system

  • Mac OS X 10.8, 10.9, 10.10
System requirements for the Symantec Endpoint Protection client for Linux

Hardware

  • Intel Pentium 4 (2 GHz) or higher processor
  • 1 GB of RAM
  • 7 GB of available hard disk space


Operating systems

  • CentOS 6U4, 6U5, 6U6, 7, 7U1; 32-bit and 64-bit
  • Debian 6.0.5 Squeeze; 32-bit and 64-bit
  • Fedora 16, 17; 32-bit and 64-bit
  • Novell Open Enterprise Server (OES) 2 SP2 and 2 SP3 running SUSE Linux Enterprise Server (SLES) 10 SP3; 32-bit and 64-bit
  • Novell Open Enterprise Server (OES) 11 and 11 SP1 running SUSE Linux Enterprise Server (SLES) 11 SP1 and SP2; 64-bit
  • Oracle Linux 5U8, 5U9, 6U2, 6U4, 6U5; 64-bit
  • Red Hat Enterprise Linux Server (RHEL) 5U7 - 5U11, 6U2 - 6U6, 7, 7.1; 32-bit and 64-bit
  • SUSE Linux Enterprise Server (SLES) 10 SP3, 10 SP4, 11 SP1 - 11 SP3; 32-bit and 64-bit
  • SUSE Linux Enterprise Desktop (SLED) 10 SP3, 10 SP4, 11 SP1 - 11 SP3; 32-bit and 64-bit
  • Ubuntu Server 11.10, 12.04, 12.04.2, 13.04; 64-bit
  • Ubuntu Desktop 11.10, 12.04, 12.04.2, 13.04; 64-bit

For a list of supported kernels and information on auto-compile, see Supported Linux kernels for Symantec Endpoint Protection.

 

Graphical desktop environments

You can use the following graphical desktop environments to view the Symantec Endpoint Protection client's graphical user interface:

  • KDE
  • Gnome

 

Other environmental requirements

  • Oracle Java 1.5 or later; Java 7 or later recommended.
    This installation requires superuser privileges.
     
  • Unlimited Strength Java Cryptography Extension (JCE)
    You must install the Unlimited Strength Java Cryptography Extension policy files to match your version of Java. This installation requires superuser privileges.
    You can download the installation files under Additional Resources from the following Oracle website: http://www.oracle.com/technetwork/java/javase/downloads/index.html
     
  • i686-based dependent packages on 64-bit computers
    Many of the executable files in the Symantec Endpoint Protection client for Linux are 32-bit programs. For 64-bit computers, you must install the i686-based dependent packages before you install Symantec Endpoint Protection. If you have not already installed the i686-based dependent packages, you can install them with the following commands.
    The installation of these packages requires superuser privileges, which the following commands demonstrate with sudo.
    • For Red Hat-based distributions: sudo yum install glibc.i686 libgcc.i686 libX11.i686
    • For Debian-based distributions: sudo apt-get install ia32-libs
    • For Ubuntu-based distributions: sudo apt-get install libx11-6:i386 libgcc1:i386 libc6:i386
       
  • Developer tools
    Auto-compile and the manual compile process for the Auto-Protect kernel module require that you install certain developer tools. These developer tools include gcc and the kernel source and header files. For details on what to install and how to install them for specific Linux versions, see Manually compile Auto-Protect kernel modules for Endpoint Protection for Linux.
     
  • XFS file systems that contain inode64 attributes are not supported.

 

Supported virtual installations and virtualization products

You can use the Symantec Endpoint Protection client to protect the supported operating systems that run in virtual environments. You can also install and manage Symantec Endpoint Protection Manager on the supported operating systems that run in virtual environments. You install Symantec Endpoint Protection on the guest operating system, not the host.

Supported virtualization products for Symantec Endpoint Protection Manager, console, embedded database, and clients on Windows and Linux:

  • Windows Azure
  • Amazon WorkSpaces
  • VMware WS 5.0 (workstation) or later
  • VMware GSX 3.2 (enterprise) or later
  • VMware ESX 2.5 (workstation) or later
  • VMware ESXi 4.1 - 5.5
  • Microsoft Virtual Server 2005
  • Microsoft Enterprise Desktop Virtualization (MED-V), which includes Windows XP mode
  • Windows Server 2008 Hyper-V
  • Windows Server 2012 Hyper-V
  • Windows Server 2012 R2 Hyper-V
  • Citrix XenServer 5.6 or later
  • Virtual Box, supplied by Oracle